/*
 * This file is generated by gdbus-codegen, do not modify it.
 *
 * The license of this code is the same as for the D-Bus interface description
 * it was derived from. Note that it links to GLib, so must comply with the
 * LGPL linking clauses.
 */

#ifndef __SECRET_DBUS_GENERATED_H__
#define __SECRET_DBUS_GENERATED_H__

#include <gio/gio.h>

G_BEGIN_DECLS


/* ------------------------------------------------------------------------ */
/* Declarations for org.freedesktop.Secret.Service */

#define _SECRET_GEN_TYPE_SERVICE (_secret_gen_service_get_type ())
#define _SECRET_GEN_SERVICE(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SERVICE, _SecretGenService))
#define _SECRET_GEN_IS_SERVICE(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SERVICE))
#define _SECRET_GEN_SERVICE_GET_IFACE(o) (G_TYPE_INSTANCE_GET_INTERFACE ((o), _SECRET_GEN_TYPE_SERVICE, _SecretGenServiceIface))

struct __SecretGenService;
typedef struct __SecretGenService _SecretGenService;
typedef struct __SecretGenServiceIface _SecretGenServiceIface;

struct __SecretGenServiceIface
{
  GTypeInterface parent_iface;



  gboolean (*handle_create_collection) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    GVariant *arg_properties,
    const gchar *arg_alias);

  gboolean (*handle_get_secrets) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *arg_items,
    const gchar *arg_session);

  gboolean (*handle_lock) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *arg_objects);

  gboolean (*handle_open_session) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *arg_algorithm,
    GVariant *arg_input);

  gboolean (*handle_read_alias) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *arg_name);

  gboolean (*handle_search_items) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    GVariant *arg_attributes);

  gboolean (*handle_set_alias) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *arg_name,
    const gchar *arg_collection);

  gboolean (*handle_unlock) (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *arg_objects);

  const gchar *const * (*get_collections) (_SecretGenService *object);

  void (*collection_changed) (
    _SecretGenService *object,
    const gchar *arg_collection);

  void (*collection_created) (
    _SecretGenService *object,
    const gchar *arg_collection);

  void (*collection_deleted) (
    _SecretGenService *object,
    const gchar *arg_collection);

};

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenService, g_object_unref)
#endif

GType _secret_gen_service_get_type (void) G_GNUC_CONST;

GDBusInterfaceInfo *_secret_gen_service_interface_info (void);
guint _secret_gen_service_override_properties (GObjectClass *klass, guint property_id_begin);


/* D-Bus method call completion functions: */
void _secret_gen_service_complete_open_session (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    GVariant *output,
    const gchar *result);

void _secret_gen_service_complete_create_collection (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *collection,
    const gchar *prompt);

void _secret_gen_service_complete_search_items (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *unlocked,
    const gchar *const *locked);

void _secret_gen_service_complete_unlock (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *unlocked,
    const gchar *prompt);

void _secret_gen_service_complete_lock (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *locked,
    const gchar *Prompt);

void _secret_gen_service_complete_get_secrets (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    GVariant *secrets);

void _secret_gen_service_complete_read_alias (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation,
    const gchar *collection);

void _secret_gen_service_complete_set_alias (
    _SecretGenService *object,
    GDBusMethodInvocation *invocation);



/* D-Bus signal emissions functions: */
void _secret_gen_service_emit_collection_created (
    _SecretGenService *object,
    const gchar *arg_collection);

void _secret_gen_service_emit_collection_deleted (
    _SecretGenService *object,
    const gchar *arg_collection);

void _secret_gen_service_emit_collection_changed (
    _SecretGenService *object,
    const gchar *arg_collection);



/* D-Bus method calls: */
void _secret_gen_service_call_open_session (
    _SecretGenService *proxy,
    const gchar *arg_algorithm,
    GVariant *arg_input,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_open_session_finish (
    _SecretGenService *proxy,
    GVariant **out_output,
    gchar **out_result,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_open_session_sync (
    _SecretGenService *proxy,
    const gchar *arg_algorithm,
    GVariant *arg_input,
    GVariant **out_output,
    gchar **out_result,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_create_collection (
    _SecretGenService *proxy,
    GVariant *arg_properties,
    const gchar *arg_alias,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_create_collection_finish (
    _SecretGenService *proxy,
    gchar **out_collection,
    gchar **out_prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_create_collection_sync (
    _SecretGenService *proxy,
    GVariant *arg_properties,
    const gchar *arg_alias,
    gchar **out_collection,
    gchar **out_prompt,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_search_items (
    _SecretGenService *proxy,
    GVariant *arg_attributes,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_search_items_finish (
    _SecretGenService *proxy,
    gchar ***out_unlocked,
    gchar ***out_locked,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_search_items_sync (
    _SecretGenService *proxy,
    GVariant *arg_attributes,
    gchar ***out_unlocked,
    gchar ***out_locked,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_unlock (
    _SecretGenService *proxy,
    const gchar *const *arg_objects,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_unlock_finish (
    _SecretGenService *proxy,
    gchar ***out_unlocked,
    gchar **out_prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_unlock_sync (
    _SecretGenService *proxy,
    const gchar *const *arg_objects,
    gchar ***out_unlocked,
    gchar **out_prompt,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_lock (
    _SecretGenService *proxy,
    const gchar *const *arg_objects,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_lock_finish (
    _SecretGenService *proxy,
    gchar ***out_locked,
    gchar **out_Prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_lock_sync (
    _SecretGenService *proxy,
    const gchar *const *arg_objects,
    gchar ***out_locked,
    gchar **out_Prompt,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_get_secrets (
    _SecretGenService *proxy,
    const gchar *const *arg_items,
    const gchar *arg_session,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_get_secrets_finish (
    _SecretGenService *proxy,
    GVariant **out_secrets,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_get_secrets_sync (
    _SecretGenService *proxy,
    const gchar *const *arg_items,
    const gchar *arg_session,
    GVariant **out_secrets,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_read_alias (
    _SecretGenService *proxy,
    const gchar *arg_name,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_read_alias_finish (
    _SecretGenService *proxy,
    gchar **out_collection,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_read_alias_sync (
    _SecretGenService *proxy,
    const gchar *arg_name,
    gchar **out_collection,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_service_call_set_alias (
    _SecretGenService *proxy,
    const gchar *arg_name,
    const gchar *arg_collection,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_service_call_set_alias_finish (
    _SecretGenService *proxy,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_service_call_set_alias_sync (
    _SecretGenService *proxy,
    const gchar *arg_name,
    const gchar *arg_collection,
    GCancellable *cancellable,
    GError **error);



/* D-Bus property accessors: */
const gchar *const *_secret_gen_service_get_collections (_SecretGenService *object);
gchar **_secret_gen_service_dup_collections (_SecretGenService *object);
void _secret_gen_service_set_collections (_SecretGenService *object, const gchar *const *value);


/* ---- */

#define _SECRET_GEN_TYPE_SERVICE_PROXY (_secret_gen_service_proxy_get_type ())
#define _SECRET_GEN_SERVICE_PROXY(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SERVICE_PROXY, _SecretGenServiceProxy))
#define _SECRET_GEN_SERVICE_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_SERVICE_PROXY, _SecretGenServiceProxyClass))
#define _SECRET_GEN_SERVICE_PROXY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_SERVICE_PROXY, _SecretGenServiceProxyClass))
#define _SECRET_GEN_IS_SERVICE_PROXY(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SERVICE_PROXY))
#define _SECRET_GEN_IS_SERVICE_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_SERVICE_PROXY))

typedef struct __SecretGenServiceProxy _SecretGenServiceProxy;
typedef struct __SecretGenServiceProxyClass _SecretGenServiceProxyClass;
typedef struct __SecretGenServiceProxyPrivate _SecretGenServiceProxyPrivate;

struct __SecretGenServiceProxy
{
  /*< private >*/
  GDBusProxy parent_instance;
  _SecretGenServiceProxyPrivate *priv;
};

struct __SecretGenServiceProxyClass
{
  GDBusProxyClass parent_class;
};

GType _secret_gen_service_proxy_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenServiceProxy, g_object_unref)
#endif

void _secret_gen_service_proxy_new (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenService *_secret_gen_service_proxy_new_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenService *_secret_gen_service_proxy_new_sync (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);

void _secret_gen_service_proxy_new_for_bus (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenService *_secret_gen_service_proxy_new_for_bus_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenService *_secret_gen_service_proxy_new_for_bus_sync (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);


/* ---- */

#define _SECRET_GEN_TYPE_SERVICE_SKELETON (_secret_gen_service_skeleton_get_type ())
#define _SECRET_GEN_SERVICE_SKELETON(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SERVICE_SKELETON, _SecretGenServiceSkeleton))
#define _SECRET_GEN_SERVICE_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_SERVICE_SKELETON, _SecretGenServiceSkeletonClass))
#define _SECRET_GEN_SERVICE_SKELETON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_SERVICE_SKELETON, _SecretGenServiceSkeletonClass))
#define _SECRET_GEN_IS_SERVICE_SKELETON(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SERVICE_SKELETON))
#define _SECRET_GEN_IS_SERVICE_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_SERVICE_SKELETON))

typedef struct __SecretGenServiceSkeleton _SecretGenServiceSkeleton;
typedef struct __SecretGenServiceSkeletonClass _SecretGenServiceSkeletonClass;
typedef struct __SecretGenServiceSkeletonPrivate _SecretGenServiceSkeletonPrivate;

struct __SecretGenServiceSkeleton
{
  /*< private >*/
  GDBusInterfaceSkeleton parent_instance;
  _SecretGenServiceSkeletonPrivate *priv;
};

struct __SecretGenServiceSkeletonClass
{
  GDBusInterfaceSkeletonClass parent_class;
};

GType _secret_gen_service_skeleton_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenServiceSkeleton, g_object_unref)
#endif

_SecretGenService *_secret_gen_service_skeleton_new (void);


/* ------------------------------------------------------------------------ */
/* Declarations for org.freedesktop.Secret.Collection */

#define _SECRET_GEN_TYPE_COLLECTION (_secret_gen_collection_get_type ())
#define _SECRET_GEN_COLLECTION(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_COLLECTION, _SecretGenCollection))
#define _SECRET_GEN_IS_COLLECTION(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_COLLECTION))
#define _SECRET_GEN_COLLECTION_GET_IFACE(o) (G_TYPE_INSTANCE_GET_INTERFACE ((o), _SECRET_GEN_TYPE_COLLECTION, _SecretGenCollectionIface))

struct __SecretGenCollection;
typedef struct __SecretGenCollection _SecretGenCollection;
typedef struct __SecretGenCollectionIface _SecretGenCollectionIface;

struct __SecretGenCollectionIface
{
  GTypeInterface parent_iface;



  gboolean (*handle_create_item) (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation,
    GVariant *arg_properties,
    GVariant *arg_secret,
    gboolean arg_replace);

  gboolean (*handle_delete) (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation);

  gboolean (*handle_search_items) (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation,
    GVariant *arg_attributes);

  guint64  (*get_created) (_SecretGenCollection *object);

  const gchar *const * (*get_items) (_SecretGenCollection *object);

  const gchar * (*get_label) (_SecretGenCollection *object);

  gboolean  (*get_locked) (_SecretGenCollection *object);

  guint64  (*get_modified) (_SecretGenCollection *object);

  void (*item_changed) (
    _SecretGenCollection *object,
    const gchar *arg_item);

  void (*item_created) (
    _SecretGenCollection *object,
    const gchar *arg_item);

  void (*item_deleted) (
    _SecretGenCollection *object,
    const gchar *arg_item);

};

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenCollection, g_object_unref)
#endif

GType _secret_gen_collection_get_type (void) G_GNUC_CONST;

GDBusInterfaceInfo *_secret_gen_collection_interface_info (void);
guint _secret_gen_collection_override_properties (GObjectClass *klass, guint property_id_begin);


/* D-Bus method call completion functions: */
void _secret_gen_collection_complete_delete (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation,
    const gchar *prompt);

void _secret_gen_collection_complete_search_items (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation,
    const gchar *const *results);

void _secret_gen_collection_complete_create_item (
    _SecretGenCollection *object,
    GDBusMethodInvocation *invocation,
    const gchar *item,
    const gchar *prompt);



/* D-Bus signal emissions functions: */
void _secret_gen_collection_emit_item_created (
    _SecretGenCollection *object,
    const gchar *arg_item);

void _secret_gen_collection_emit_item_deleted (
    _SecretGenCollection *object,
    const gchar *arg_item);

void _secret_gen_collection_emit_item_changed (
    _SecretGenCollection *object,
    const gchar *arg_item);



/* D-Bus method calls: */
void _secret_gen_collection_call_delete (
    _SecretGenCollection *proxy,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_collection_call_delete_finish (
    _SecretGenCollection *proxy,
    gchar **out_prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_collection_call_delete_sync (
    _SecretGenCollection *proxy,
    gchar **out_prompt,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_collection_call_search_items (
    _SecretGenCollection *proxy,
    GVariant *arg_attributes,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_collection_call_search_items_finish (
    _SecretGenCollection *proxy,
    gchar ***out_results,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_collection_call_search_items_sync (
    _SecretGenCollection *proxy,
    GVariant *arg_attributes,
    gchar ***out_results,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_collection_call_create_item (
    _SecretGenCollection *proxy,
    GVariant *arg_properties,
    GVariant *arg_secret,
    gboolean arg_replace,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_collection_call_create_item_finish (
    _SecretGenCollection *proxy,
    gchar **out_item,
    gchar **out_prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_collection_call_create_item_sync (
    _SecretGenCollection *proxy,
    GVariant *arg_properties,
    GVariant *arg_secret,
    gboolean arg_replace,
    gchar **out_item,
    gchar **out_prompt,
    GCancellable *cancellable,
    GError **error);



/* D-Bus property accessors: */
const gchar *const *_secret_gen_collection_get_items (_SecretGenCollection *object);
gchar **_secret_gen_collection_dup_items (_SecretGenCollection *object);
void _secret_gen_collection_set_items (_SecretGenCollection *object, const gchar *const *value);

const gchar *_secret_gen_collection_get_label (_SecretGenCollection *object);
gchar *_secret_gen_collection_dup_label (_SecretGenCollection *object);
void _secret_gen_collection_set_label (_SecretGenCollection *object, const gchar *value);

gboolean _secret_gen_collection_get_locked (_SecretGenCollection *object);
void _secret_gen_collection_set_locked (_SecretGenCollection *object, gboolean value);

guint64 _secret_gen_collection_get_created (_SecretGenCollection *object);
void _secret_gen_collection_set_created (_SecretGenCollection *object, guint64 value);

guint64 _secret_gen_collection_get_modified (_SecretGenCollection *object);
void _secret_gen_collection_set_modified (_SecretGenCollection *object, guint64 value);


/* ---- */

#define _SECRET_GEN_TYPE_COLLECTION_PROXY (_secret_gen_collection_proxy_get_type ())
#define _SECRET_GEN_COLLECTION_PROXY(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_COLLECTION_PROXY, _SecretGenCollectionProxy))
#define _SECRET_GEN_COLLECTION_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_COLLECTION_PROXY, _SecretGenCollectionProxyClass))
#define _SECRET_GEN_COLLECTION_PROXY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_COLLECTION_PROXY, _SecretGenCollectionProxyClass))
#define _SECRET_GEN_IS_COLLECTION_PROXY(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_COLLECTION_PROXY))
#define _SECRET_GEN_IS_COLLECTION_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_COLLECTION_PROXY))

typedef struct __SecretGenCollectionProxy _SecretGenCollectionProxy;
typedef struct __SecretGenCollectionProxyClass _SecretGenCollectionProxyClass;
typedef struct __SecretGenCollectionProxyPrivate _SecretGenCollectionProxyPrivate;

struct __SecretGenCollectionProxy
{
  /*< private >*/
  GDBusProxy parent_instance;
  _SecretGenCollectionProxyPrivate *priv;
};

struct __SecretGenCollectionProxyClass
{
  GDBusProxyClass parent_class;
};

GType _secret_gen_collection_proxy_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenCollectionProxy, g_object_unref)
#endif

void _secret_gen_collection_proxy_new (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenCollection *_secret_gen_collection_proxy_new_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenCollection *_secret_gen_collection_proxy_new_sync (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);

void _secret_gen_collection_proxy_new_for_bus (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenCollection *_secret_gen_collection_proxy_new_for_bus_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenCollection *_secret_gen_collection_proxy_new_for_bus_sync (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);


/* ---- */

#define _SECRET_GEN_TYPE_COLLECTION_SKELETON (_secret_gen_collection_skeleton_get_type ())
#define _SECRET_GEN_COLLECTION_SKELETON(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_COLLECTION_SKELETON, _SecretGenCollectionSkeleton))
#define _SECRET_GEN_COLLECTION_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_COLLECTION_SKELETON, _SecretGenCollectionSkeletonClass))
#define _SECRET_GEN_COLLECTION_SKELETON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_COLLECTION_SKELETON, _SecretGenCollectionSkeletonClass))
#define _SECRET_GEN_IS_COLLECTION_SKELETON(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_COLLECTION_SKELETON))
#define _SECRET_GEN_IS_COLLECTION_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_COLLECTION_SKELETON))

typedef struct __SecretGenCollectionSkeleton _SecretGenCollectionSkeleton;
typedef struct __SecretGenCollectionSkeletonClass _SecretGenCollectionSkeletonClass;
typedef struct __SecretGenCollectionSkeletonPrivate _SecretGenCollectionSkeletonPrivate;

struct __SecretGenCollectionSkeleton
{
  /*< private >*/
  GDBusInterfaceSkeleton parent_instance;
  _SecretGenCollectionSkeletonPrivate *priv;
};

struct __SecretGenCollectionSkeletonClass
{
  GDBusInterfaceSkeletonClass parent_class;
};

GType _secret_gen_collection_skeleton_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenCollectionSkeleton, g_object_unref)
#endif

_SecretGenCollection *_secret_gen_collection_skeleton_new (void);


/* ------------------------------------------------------------------------ */
/* Declarations for org.freedesktop.Secret.Item */

#define _SECRET_GEN_TYPE_ITEM (_secret_gen_item_get_type ())
#define _SECRET_GEN_ITEM(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_ITEM, _SecretGenItem))
#define _SECRET_GEN_IS_ITEM(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_ITEM))
#define _SECRET_GEN_ITEM_GET_IFACE(o) (G_TYPE_INSTANCE_GET_INTERFACE ((o), _SECRET_GEN_TYPE_ITEM, _SecretGenItemIface))

struct __SecretGenItem;
typedef struct __SecretGenItem _SecretGenItem;
typedef struct __SecretGenItemIface _SecretGenItemIface;

struct __SecretGenItemIface
{
  GTypeInterface parent_iface;


  gboolean (*handle_delete) (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation);

  gboolean (*handle_get_secret) (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation,
    const gchar *arg_session);

  gboolean (*handle_set_secret) (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation,
    GVariant *arg_secret);

  GVariant * (*get_attributes) (_SecretGenItem *object);

  guint64  (*get_created) (_SecretGenItem *object);

  const gchar * (*get_label) (_SecretGenItem *object);

  gboolean  (*get_locked) (_SecretGenItem *object);

  guint64  (*get_modified) (_SecretGenItem *object);

};

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenItem, g_object_unref)
#endif

GType _secret_gen_item_get_type (void) G_GNUC_CONST;

GDBusInterfaceInfo *_secret_gen_item_interface_info (void);
guint _secret_gen_item_override_properties (GObjectClass *klass, guint property_id_begin);


/* D-Bus method call completion functions: */
void _secret_gen_item_complete_delete (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation,
    const gchar *Prompt);

void _secret_gen_item_complete_get_secret (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation,
    GVariant *secret);

void _secret_gen_item_complete_set_secret (
    _SecretGenItem *object,
    GDBusMethodInvocation *invocation);



/* D-Bus method calls: */
void _secret_gen_item_call_delete (
    _SecretGenItem *proxy,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_item_call_delete_finish (
    _SecretGenItem *proxy,
    gchar **out_Prompt,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_item_call_delete_sync (
    _SecretGenItem *proxy,
    gchar **out_Prompt,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_item_call_get_secret (
    _SecretGenItem *proxy,
    const gchar *arg_session,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_item_call_get_secret_finish (
    _SecretGenItem *proxy,
    GVariant **out_secret,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_item_call_get_secret_sync (
    _SecretGenItem *proxy,
    const gchar *arg_session,
    GVariant **out_secret,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_item_call_set_secret (
    _SecretGenItem *proxy,
    GVariant *arg_secret,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_item_call_set_secret_finish (
    _SecretGenItem *proxy,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_item_call_set_secret_sync (
    _SecretGenItem *proxy,
    GVariant *arg_secret,
    GCancellable *cancellable,
    GError **error);



/* D-Bus property accessors: */
gboolean _secret_gen_item_get_locked (_SecretGenItem *object);
void _secret_gen_item_set_locked (_SecretGenItem *object, gboolean value);

GVariant *_secret_gen_item_get_attributes (_SecretGenItem *object);
GVariant *_secret_gen_item_dup_attributes (_SecretGenItem *object);
void _secret_gen_item_set_attributes (_SecretGenItem *object, GVariant *value);

const gchar *_secret_gen_item_get_label (_SecretGenItem *object);
gchar *_secret_gen_item_dup_label (_SecretGenItem *object);
void _secret_gen_item_set_label (_SecretGenItem *object, const gchar *value);

guint64 _secret_gen_item_get_created (_SecretGenItem *object);
void _secret_gen_item_set_created (_SecretGenItem *object, guint64 value);

guint64 _secret_gen_item_get_modified (_SecretGenItem *object);
void _secret_gen_item_set_modified (_SecretGenItem *object, guint64 value);


/* ---- */

#define _SECRET_GEN_TYPE_ITEM_PROXY (_secret_gen_item_proxy_get_type ())
#define _SECRET_GEN_ITEM_PROXY(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_ITEM_PROXY, _SecretGenItemProxy))
#define _SECRET_GEN_ITEM_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_ITEM_PROXY, _SecretGenItemProxyClass))
#define _SECRET_GEN_ITEM_PROXY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_ITEM_PROXY, _SecretGenItemProxyClass))
#define _SECRET_GEN_IS_ITEM_PROXY(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_ITEM_PROXY))
#define _SECRET_GEN_IS_ITEM_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_ITEM_PROXY))

typedef struct __SecretGenItemProxy _SecretGenItemProxy;
typedef struct __SecretGenItemProxyClass _SecretGenItemProxyClass;
typedef struct __SecretGenItemProxyPrivate _SecretGenItemProxyPrivate;

struct __SecretGenItemProxy
{
  /*< private >*/
  GDBusProxy parent_instance;
  _SecretGenItemProxyPrivate *priv;
};

struct __SecretGenItemProxyClass
{
  GDBusProxyClass parent_class;
};

GType _secret_gen_item_proxy_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenItemProxy, g_object_unref)
#endif

void _secret_gen_item_proxy_new (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenItem *_secret_gen_item_proxy_new_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenItem *_secret_gen_item_proxy_new_sync (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);

void _secret_gen_item_proxy_new_for_bus (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenItem *_secret_gen_item_proxy_new_for_bus_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenItem *_secret_gen_item_proxy_new_for_bus_sync (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);


/* ---- */

#define _SECRET_GEN_TYPE_ITEM_SKELETON (_secret_gen_item_skeleton_get_type ())
#define _SECRET_GEN_ITEM_SKELETON(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_ITEM_SKELETON, _SecretGenItemSkeleton))
#define _SECRET_GEN_ITEM_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_ITEM_SKELETON, _SecretGenItemSkeletonClass))
#define _SECRET_GEN_ITEM_SKELETON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_ITEM_SKELETON, _SecretGenItemSkeletonClass))
#define _SECRET_GEN_IS_ITEM_SKELETON(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_ITEM_SKELETON))
#define _SECRET_GEN_IS_ITEM_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_ITEM_SKELETON))

typedef struct __SecretGenItemSkeleton _SecretGenItemSkeleton;
typedef struct __SecretGenItemSkeletonClass _SecretGenItemSkeletonClass;
typedef struct __SecretGenItemSkeletonPrivate _SecretGenItemSkeletonPrivate;

struct __SecretGenItemSkeleton
{
  /*< private >*/
  GDBusInterfaceSkeleton parent_instance;
  _SecretGenItemSkeletonPrivate *priv;
};

struct __SecretGenItemSkeletonClass
{
  GDBusInterfaceSkeletonClass parent_class;
};

GType _secret_gen_item_skeleton_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenItemSkeleton, g_object_unref)
#endif

_SecretGenItem *_secret_gen_item_skeleton_new (void);


/* ------------------------------------------------------------------------ */
/* Declarations for org.freedesktop.Secret.Session */

#define _SECRET_GEN_TYPE_SESSION (_secret_gen_session_get_type ())
#define _SECRET_GEN_SESSION(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SESSION, _SecretGenSession))
#define _SECRET_GEN_IS_SESSION(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SESSION))
#define _SECRET_GEN_SESSION_GET_IFACE(o) (G_TYPE_INSTANCE_GET_INTERFACE ((o), _SECRET_GEN_TYPE_SESSION, _SecretGenSessionIface))

struct __SecretGenSession;
typedef struct __SecretGenSession _SecretGenSession;
typedef struct __SecretGenSessionIface _SecretGenSessionIface;

struct __SecretGenSessionIface
{
  GTypeInterface parent_iface;

  gboolean (*handle_close) (
    _SecretGenSession *object,
    GDBusMethodInvocation *invocation);

};

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenSession, g_object_unref)
#endif

GType _secret_gen_session_get_type (void) G_GNUC_CONST;

GDBusInterfaceInfo *_secret_gen_session_interface_info (void);
guint _secret_gen_session_override_properties (GObjectClass *klass, guint property_id_begin);


/* D-Bus method call completion functions: */
void _secret_gen_session_complete_close (
    _SecretGenSession *object,
    GDBusMethodInvocation *invocation);



/* D-Bus method calls: */
void _secret_gen_session_call_close (
    _SecretGenSession *proxy,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_session_call_close_finish (
    _SecretGenSession *proxy,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_session_call_close_sync (
    _SecretGenSession *proxy,
    GCancellable *cancellable,
    GError **error);



/* ---- */

#define _SECRET_GEN_TYPE_SESSION_PROXY (_secret_gen_session_proxy_get_type ())
#define _SECRET_GEN_SESSION_PROXY(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SESSION_PROXY, _SecretGenSessionProxy))
#define _SECRET_GEN_SESSION_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_SESSION_PROXY, _SecretGenSessionProxyClass))
#define _SECRET_GEN_SESSION_PROXY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_SESSION_PROXY, _SecretGenSessionProxyClass))
#define _SECRET_GEN_IS_SESSION_PROXY(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SESSION_PROXY))
#define _SECRET_GEN_IS_SESSION_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_SESSION_PROXY))

typedef struct __SecretGenSessionProxy _SecretGenSessionProxy;
typedef struct __SecretGenSessionProxyClass _SecretGenSessionProxyClass;
typedef struct __SecretGenSessionProxyPrivate _SecretGenSessionProxyPrivate;

struct __SecretGenSessionProxy
{
  /*< private >*/
  GDBusProxy parent_instance;
  _SecretGenSessionProxyPrivate *priv;
};

struct __SecretGenSessionProxyClass
{
  GDBusProxyClass parent_class;
};

GType _secret_gen_session_proxy_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenSessionProxy, g_object_unref)
#endif

void _secret_gen_session_proxy_new (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenSession *_secret_gen_session_proxy_new_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenSession *_secret_gen_session_proxy_new_sync (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);

void _secret_gen_session_proxy_new_for_bus (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenSession *_secret_gen_session_proxy_new_for_bus_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenSession *_secret_gen_session_proxy_new_for_bus_sync (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);


/* ---- */

#define _SECRET_GEN_TYPE_SESSION_SKELETON (_secret_gen_session_skeleton_get_type ())
#define _SECRET_GEN_SESSION_SKELETON(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_SESSION_SKELETON, _SecretGenSessionSkeleton))
#define _SECRET_GEN_SESSION_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_SESSION_SKELETON, _SecretGenSessionSkeletonClass))
#define _SECRET_GEN_SESSION_SKELETON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_SESSION_SKELETON, _SecretGenSessionSkeletonClass))
#define _SECRET_GEN_IS_SESSION_SKELETON(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_SESSION_SKELETON))
#define _SECRET_GEN_IS_SESSION_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_SESSION_SKELETON))

typedef struct __SecretGenSessionSkeleton _SecretGenSessionSkeleton;
typedef struct __SecretGenSessionSkeletonClass _SecretGenSessionSkeletonClass;
typedef struct __SecretGenSessionSkeletonPrivate _SecretGenSessionSkeletonPrivate;

struct __SecretGenSessionSkeleton
{
  /*< private >*/
  GDBusInterfaceSkeleton parent_instance;
  _SecretGenSessionSkeletonPrivate *priv;
};

struct __SecretGenSessionSkeletonClass
{
  GDBusInterfaceSkeletonClass parent_class;
};

GType _secret_gen_session_skeleton_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenSessionSkeleton, g_object_unref)
#endif

_SecretGenSession *_secret_gen_session_skeleton_new (void);


/* ------------------------------------------------------------------------ */
/* Declarations for org.freedesktop.Secret.Prompt */

#define _SECRET_GEN_TYPE_PROMPT (_secret_gen_prompt_get_type ())
#define _SECRET_GEN_PROMPT(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_PROMPT, _SecretGenPrompt))
#define _SECRET_GEN_IS_PROMPT(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_PROMPT))
#define _SECRET_GEN_PROMPT_GET_IFACE(o) (G_TYPE_INSTANCE_GET_INTERFACE ((o), _SECRET_GEN_TYPE_PROMPT, _SecretGenPromptIface))

struct __SecretGenPrompt;
typedef struct __SecretGenPrompt _SecretGenPrompt;
typedef struct __SecretGenPromptIface _SecretGenPromptIface;

struct __SecretGenPromptIface
{
  GTypeInterface parent_iface;


  gboolean (*handle_dismiss) (
    _SecretGenPrompt *object,
    GDBusMethodInvocation *invocation);

  gboolean (*handle_prompt) (
    _SecretGenPrompt *object,
    GDBusMethodInvocation *invocation,
    const gchar *arg_window_id);

  void (*completed) (
    _SecretGenPrompt *object,
    gboolean arg_dismissed,
    GVariant *arg_result);

};

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenPrompt, g_object_unref)
#endif

GType _secret_gen_prompt_get_type (void) G_GNUC_CONST;

GDBusInterfaceInfo *_secret_gen_prompt_interface_info (void);
guint _secret_gen_prompt_override_properties (GObjectClass *klass, guint property_id_begin);


/* D-Bus method call completion functions: */
void _secret_gen_prompt_complete_prompt (
    _SecretGenPrompt *object,
    GDBusMethodInvocation *invocation);

void _secret_gen_prompt_complete_dismiss (
    _SecretGenPrompt *object,
    GDBusMethodInvocation *invocation);



/* D-Bus signal emissions functions: */
void _secret_gen_prompt_emit_completed (
    _SecretGenPrompt *object,
    gboolean arg_dismissed,
    GVariant *arg_result);



/* D-Bus method calls: */
void _secret_gen_prompt_call_prompt (
    _SecretGenPrompt *proxy,
    const gchar *arg_window_id,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_prompt_call_prompt_finish (
    _SecretGenPrompt *proxy,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_prompt_call_prompt_sync (
    _SecretGenPrompt *proxy,
    const gchar *arg_window_id,
    GCancellable *cancellable,
    GError **error);

void _secret_gen_prompt_call_dismiss (
    _SecretGenPrompt *proxy,
    GCancellable *cancellable,
    GAsyncReadyCallback callback,
    gpointer user_data);

gboolean _secret_gen_prompt_call_dismiss_finish (
    _SecretGenPrompt *proxy,
    GAsyncResult *res,
    GError **error);

gboolean _secret_gen_prompt_call_dismiss_sync (
    _SecretGenPrompt *proxy,
    GCancellable *cancellable,
    GError **error);



/* ---- */

#define _SECRET_GEN_TYPE_PROMPT_PROXY (_secret_gen_prompt_proxy_get_type ())
#define _SECRET_GEN_PROMPT_PROXY(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_PROMPT_PROXY, _SecretGenPromptProxy))
#define _SECRET_GEN_PROMPT_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_PROMPT_PROXY, _SecretGenPromptProxyClass))
#define _SECRET_GEN_PROMPT_PROXY_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_PROMPT_PROXY, _SecretGenPromptProxyClass))
#define _SECRET_GEN_IS_PROMPT_PROXY(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_PROMPT_PROXY))
#define _SECRET_GEN_IS_PROMPT_PROXY_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_PROMPT_PROXY))

typedef struct __SecretGenPromptProxy _SecretGenPromptProxy;
typedef struct __SecretGenPromptProxyClass _SecretGenPromptProxyClass;
typedef struct __SecretGenPromptProxyPrivate _SecretGenPromptProxyPrivate;

struct __SecretGenPromptProxy
{
  /*< private >*/
  GDBusProxy parent_instance;
  _SecretGenPromptProxyPrivate *priv;
};

struct __SecretGenPromptProxyClass
{
  GDBusProxyClass parent_class;
};

GType _secret_gen_prompt_proxy_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenPromptProxy, g_object_unref)
#endif

void _secret_gen_prompt_proxy_new (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenPrompt *_secret_gen_prompt_proxy_new_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenPrompt *_secret_gen_prompt_proxy_new_sync (
    GDBusConnection     *connection,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);

void _secret_gen_prompt_proxy_new_for_bus (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GAsyncReadyCallback  callback,
    gpointer             user_data);
_SecretGenPrompt *_secret_gen_prompt_proxy_new_for_bus_finish (
    GAsyncResult        *res,
    GError             **error);
_SecretGenPrompt *_secret_gen_prompt_proxy_new_for_bus_sync (
    GBusType             bus_type,
    GDBusProxyFlags      flags,
    const gchar         *name,
    const gchar         *object_path,
    GCancellable        *cancellable,
    GError             **error);


/* ---- */

#define _SECRET_GEN_TYPE_PROMPT_SKELETON (_secret_gen_prompt_skeleton_get_type ())
#define _SECRET_GEN_PROMPT_SKELETON(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), _SECRET_GEN_TYPE_PROMPT_SKELETON, _SecretGenPromptSkeleton))
#define _SECRET_GEN_PROMPT_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_CAST ((k), _SECRET_GEN_TYPE_PROMPT_SKELETON, _SecretGenPromptSkeletonClass))
#define _SECRET_GEN_PROMPT_SKELETON_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), _SECRET_GEN_TYPE_PROMPT_SKELETON, _SecretGenPromptSkeletonClass))
#define _SECRET_GEN_IS_PROMPT_SKELETON(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), _SECRET_GEN_TYPE_PROMPT_SKELETON))
#define _SECRET_GEN_IS_PROMPT_SKELETON_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), _SECRET_GEN_TYPE_PROMPT_SKELETON))

typedef struct __SecretGenPromptSkeleton _SecretGenPromptSkeleton;
typedef struct __SecretGenPromptSkeletonClass _SecretGenPromptSkeletonClass;
typedef struct __SecretGenPromptSkeletonPrivate _SecretGenPromptSkeletonPrivate;

struct __SecretGenPromptSkeleton
{
  /*< private >*/
  GDBusInterfaceSkeleton parent_instance;
  _SecretGenPromptSkeletonPrivate *priv;
};

struct __SecretGenPromptSkeletonClass
{
  GDBusInterfaceSkeletonClass parent_class;
};

GType _secret_gen_prompt_skeleton_get_type (void) G_GNUC_CONST;

#if GLIB_CHECK_VERSION(2, 44, 0)
G_DEFINE_AUTOPTR_CLEANUP_FUNC (_SecretGenPromptSkeleton, g_object_unref)
#endif

_SecretGenPrompt *_secret_gen_prompt_skeleton_new (void);


G_END_DECLS

#endif /* __SECRET_DBUS_GENERATED_H__ */
